import json

f = open('/home/joel_jang/dongkeun/L2U/configs/main/6B/template.json')
data = json.load(f)
print(data)

for j in [1, 4, 8, 32, 128]:
    for i in range(5):
        alias = f'{j}_{i}'
        path = f'data/main/lm_extraction_{alias}.csv'
        data['train_sets'][0] = path
        data['valid_sets'][0] = path
        data['train_batch_size'] = j
        data['wandb_run_name'] = f'6B_{alias}'
        with open(f'/home/joel_jang/dongkeun/L2U/configs/main/6B/{alias}.json', 'w') as fp:
            json.dump(data, fp, indent=4)